---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: taskmanager-deployment
spec:
  selector:
    matchLabels:
      app: taskmanager
  replicas: 1
  template:
    metadata:
      labels:
        app: taskmanager
    spec:
      containers:
      - name: taskmanager
        image: registry.gitlab.com/irkka.hiiri/tsc-java-78/taskmanager:latest
        ports:
        - containerPort: 8080
          protocol: TCP
        env:
          - name: SPRING_DATASOURCE_URL
            value: "jdbc:postgresql://postgres/taskmanager"
          - name: SPRING_DATASOURCE_USERNAME
            value: "postgres"
          - name: SPRING_DATASOURCE_PASSWORD
            value: "postgres"
---
kind: Service
apiVersion: v1
metadata:
    name: taskmanager
spec:
    type: LoadBalancer
    ports:
        - port: 80
          targetPort: 8080
    selector:
        app: taskmanager
